<?php
	include('config.php');
	include('ibd_query.php');
	if ($_SESSION['keyword_orderby'] == '') {
		$_SESSION['keyword_orderby'] = 'keyword_values_total';
	}
	if ($_GET['action'] == 'change_orderby') {
		$_SESSION['keyword_orderby'] = $_GET['value'];
	}
	if ($_GET['subject_id'] != '') {
		$_SESSION['browse_subject_id'] = $_GET['subject_id'];
	}
	if ($_SESSION['browse_subject_id'] != '') { 
		$sql = '
			SELECT * 
			FROM keywords_to_subjects as ks,
				keyword_values as kv
			WHERE ks.keyword_subjects_id = "' . $_SESSION['browse_subject_id'] . '"
				and ks.keyword_values_id = kv.keyword_values_id
			ORDER BY kv.' . $_SESSION['keyword_orderby'] . ' DESC,
				kv.keyword_values_searches DESC';
		$keywords = new IbdQuery($sql);
		$keywords->pagedResults(200,$_GET['resultpage'],'','?subject_id=' . $_GET['subject_id'] . '&resultpage=');
		$nav = $keywords->getPageNav('','',100);
		$from_to_results = $keywords->getFromToResults('Keywords ');
		$page_of_pages = $keywords->getPageOfPages();
		if ($keywords->isAnyResults()) {
			while ($row = $keywords->fetchPagedArray()) {
				$keyword_table .= '<tr><td>' . $row['keyword_values_keyword'] . '</td><td>' . number_format($row['keyword_values_searches']) . '</td><td>$' . number_format($row['keyword_values_bid'],2) . '</td><td>$' . number_format($row['keyword_values_total']) . '</td></tr>';
			}
			$keywords_content = '
				<div class="main-table">
				<table>
					<tr>
						<th>Keyword</th>
						<th><a href="browse.php?subject_id=' . $_GET['subject_id'] . '&resultpage=' . $_GET['resultpage'] . '&action=change_orderby&value=keyword_values_searches">Searches</a></th>
						<th><a href="browse.php?subject_id=' . $_GET['subject_id'] . '&resultpage=' . $_GET['resultpage'] . '&action=change_orderby&value=keyword_values_bid">Bid</a></th>
						<th><a href="browse.php?subject_id=' . $_GET['subject_id'] . '&resultpage=' . $_GET['resultpage'] . '&action=change_orderby&value=keyword_values_total">Total</th>
					</tr>
				' . $keyword_table . '</table></div>';
			$nav_table = 
			'<table class="paged-nav-table" width="100%">
				<tr>
					<td class="paged-nav-table-td1">' . $from_to_results . '</td>
					<td class="paged-nav-table-td2">' . $page_of_pages . '</td>
					<td class="paged-nav-table-td3">' . $nav . '</td>
				</tr>
			</table>';
		} else {
			$keywords_content .= '<p>No keywords yet</p>';
			
		}
	}
	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<style>
	.main-table table{
		border-collapse:collapse;
		padding:1px;
		border:1px solid silver;
	}
	.main-table table td {
		border:1px solid silver;
		font-family:Arial, Helvetica, sans-serif;
		font-size:11px;
		padding:2px;
	}
	.main-table table th {
		border:1px solid silver;
		font-family:Arial, Helvetica, sans-serif;
		font-size:11px;
		padding:2px;
	}
</style>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>
<h1>Browse Keywords</h1>

<?php echo $nav_table; ?>
<?php echo $keywords_content; ?>
<?php echo $nav_table; ?>
</body>
</html>
