<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Untitled Document</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>

<body>
<h1>Instructions</h1>
<p>Keyword Market Value Analyzer takes the highest advertiser's bid for a particular keyword from Overture's high bid tool, and compares it with the number of searches the keyword gets each month. The result is a great list of keyword market values. If you only look at a keyword's popularity, you might miss out on the fact that the keyword really isn't that valuable. If you only look at the highest advertiser's bid for a keyword, you might miss out on the fact that the keyword doesn't get that much traffic. The best thing to do is compare the two, and that's exactly what Keyword Market Value Analyzer does!</p>
<ol>
	<li>First, add a new keyword subject group by clicking the &quot;Add Keywords / Subjects&quot; link to the left.</li>
	<li>Fill in the &quot;Add Subject&quot; input and click &quot;Add&quot;.</li>
	<li>Refresh the page to update the subject lists.</li>
	<li>Click the &quot;Add Keywords / Subjects&quot; link to add some keywords. The keywords input takes comma-separated <strong>keyword, searches per month </strong> pairs, which you can get by installing our <a href="http://www.impliedbydesign.com/keyword-marketing-buddy.html">Keyword Marketing Buddy</a> tool or just visiting the <a href="http://www.impliedbydesign.com/keywordmarketingbuddy.php">Keyword Marketing Buddy Demo</a>. </li>
	<li>After pasting the pairs in, and selected your desired keyword subject group, click the &quot;Submit&quot; button.</li>
	<li>Select a keyword subject to the left and click "Change"</li>
	<li>A list of keywords will appear. Click on the keyword to use the Overture Keyword Bid tool to get a list of bids for the keyword. You will need to enter in a visual code before the tool will show you the bids.</li>
	<li>Select the highest bid amount and add it to the textbox under &quot;High Bid&quot; next to the keyword you're searching for. If there are no bids, put .01 for the value. This list only shows keywords that don't have high bid values yet, so putting in .01 will move it out of the list. </li>
	<li>After you've entered in several high bid values, click the &quot;Submit&quot; button to update the database.</li>
	<li>To browse the keywords in the keyword subject you are working on, click the &quot;Calculate Totals&quot; link (this will multiply the highest bid by the number of searches the keyword gets each month). Then, click the &quot;Browse This Category&quot; link to look at a sorted list of keywords. You can then sort the keywords by their total market value, by highest bid, or by popularity. </li>
	<li>You can make several different keyword subject groups. These groups share the same database of keyword bid values, so if multiple subjects contain the same keywords, you don't have to re-input the bid values. Nice, huh?</li>
</ol>
	<p>&copy;2006 <a href="http://www.impliedbydesign.com">Implied By Design LLC.</a></p>
</body>
</html>
